Page MenuHomePhabricator

[TableGen] Give meaningful msg for def use in multiclass
ClosedPublic

Authored by javed.absar on Mar 13 2019, 4:52 AM.

Details

Summary

When one mistakenly specifies 'def' instead of using 'defm', the error message presently is quite misleading: 'Couldn't find class..'

This patch makes it more clear in case the multiclass of same name does actually exist.

Diff Detail

Repository
rL LLVM

Event Timeline

javed.absar created this revision.Mar 13 2019, 4:52 AM
hfinkel accepted this revision.Mar 14 2019, 8:53 AM

LGTM.

This revision is now accepted and ready to land.Mar 14 2019, 8:53 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 26 2019, 3:47 AM